Packages - Bug #3336

[python-mistune] and [python-mistunei] are in conflict
2022-08-28 05:43 PM - anonymous

Status: fixed % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

When trying to update the system, | get a package conflict error.

Now | have package "python-mistune1 0.8.4-4" as dependence of "pcbdraw 0.6.1-3" package. Pacman want install new package
"python-mistune 2.0.4-1" as dependence "jupyter-nbconvert 7.0.0-2" as dependence "spyder 5.3.2-2". These packages conflict
among themselves.

$ sudo pacman -Su
Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...
python-mistune and python-mistunel are in conflict. Remove python-mistunel? [y/N] y
error: failed to prepare transaction (could not satisfy dependencies)
removing python-mistunel breaks dependency 'python-mistunel' required by pcbdraw

History

#1 - 2022-08-28 05:45 PM - anonymous
| forgot to report that Architecture: x86_64

#2 - 2022-09-03 04:52 AM - bill-auger

- Status changed from unconfirmed to forwarded upstream

the same conflict is present on arch

im not certain if this is a bug or not - the situation is not common;
but it could be that some high-level applications can not coexist -
i asked upstream

https://bugs.archlinux.org/task/75780

#3 - 2022-09-03 07:08 PM - bill-auger

ok so that conflict is going to remain for a while - it will not be possible to keep both 'spyder' and 'pcbdraw' installed at the same time, until the
'pcbdraw’ developers can resolve this BR https://github.com/yaqwsx/PcbDraw/issues/103 - 'pcbdraw’ is requiring a much older version of
'python-mistune'; and is in danger of being dropped from arch because of that, because all other dependents of 'python-mistune' have moved forward

if you must keep both installed, just do not upgrade the system until the problem is resolved - if you are a programmer, maybe you could help the
'pcbdraw’ developers to become compatible with the newer 'python-mistune'

#4 - 2022-09-10 11:48 AM - anonymous

Ok, | understand. So far | add package "jupyter-nbconvert" to the section IgnorePkg in /etc/pacman.conf

#5 - 2022-10-03 09:04 PM - bill-auger

- Assignee set to bill-auger

the conflict is resolved in arch - pcbdraw and python-mistune1 were dropped

#6 - 2022-10-03 09:04 PM - bill-auger

- Status changed from forwarded upstream to fixed
